/* Random utilities go in here such as script loading and stuff */

class PlayerInfo
{
	Team = -1; /* 0 = Attack / 1 = Defend / -1 = No team */
	Kills = 0;
	Deaths = 0;
	Limo_Damage = 0;
}

class PlrScore
{
	function constructor( Name = null, Score = 0 ) { this.Name = Name; this.Score = Score; }
	
	Name = null;
	Score = 0;
}

function compare( a, b )
{
	if ( a.Score < b.Score ) return 1
	else if ( a.Score > b.Score ) return -1
	return 0;
}

TempArray <- array( GetMaxPlayers() );

function Loadscripts()
{
	dofile( SCRIPT_PATH + "ProtectionRacket.nut" );
	//dofile( SCRIPT_PATH + "GetStretch.nut" );
}

function AssignTeam( pPlayer )
{
	/* Need to figure out which team has the least amount of players or if they are both on the same amount */
	local id = pPlayer.ID;
	
	if ( Defend_Count > Attack_Count )
	{
		/* They want to go on the attacking team */
		Message( "*** [Minimodes Bot] Sending "  + pPlayer + " to the attacking team." );
		pPlayer.Pos = Attack_Spawn;
		pPlayer.Team = 1;
		pPlayer.Colour = 0;
		Info[ id ].Team = 0;
		Attack_Count ++;
	}
	else if ( Attack_Count > Defend_Count )
	{
		/* They want to go on the defending team */
		Message( "*** [Minimodes Bot] Sending "  + pPlayer + " to the defending team." );
		pPlayer.Pos = Defend_Spawn;
		pPlayer.Team = 2;
		pPlayer.Colour = 1;
		Info[ id ].Team = 1;
		Defend_Count ++;
	}
	else
	{
		/* Put them on either team depdant on the game mode */
		if ( Server_Mode == PROTECTION )
		{
			/* Put them on the attacking team */
			Message( "*** [Minimodes Bot] Sending "  + pPlayer + " to the attacking team." );
			pPlayer.Pos = Attack_Spawn;
			pPlayer.Team = 1;
			pPlayer.Colour = 0;
			Info[ id ].Team = 0;
			Attack_Count ++;			
		}
		else
		{
			/* Put them on the defending team */
			Message( "*** [Minimodes Bot] Sending "  + pPlayer + " to the defending team." );
			pPlayer.Pos = Defend_Spawn;
			pPlayer.Team = 2;
			pPlayer.Colour = 1;
			Info[ id ].Team = 1;
			Defend_Count ++;
		}
	}
	pPlayer.Armour = 100;
	
	if ( Countdown < 5 ) pPlayer.Frozen = true;
}

function RespawnPlayer( pPlayer )
{
	if ( Info[ pPlayer.ID ].Team == 0 )
	{
		pPlayer.Team = 1;
		pPlayer.Colour = 0;
		pPlayer.Pos = Attack_Spawn;
	}
	else
	{
		pPlayer.Team = 2;
		pPlayer.Colour = 1;
		pPlayer.Pos = Defend_Spawn;
	}
	pPlayer.Armour = 100;
	
	if ( Countdown < 5 ) pPlayer.Frozen = true;
}

function GetReasonID( iReason )
{
	switch ( iReason )
	{
		case 0:
			return "Quit";
			break;
		case 1:
			return "Timeout";
			break;
		case 2:
			return "Kicked";
			break;
		case 3:
			return "Banned";
			break;
	}
}